float.hh File Reference
`#include "test/test.hh"`
`#include <gecode/float.hh>`
`#include "test/float.hpp"`

Go to the source code of this file.

## Classes

class | Test::Float::Assignment
| Base class for assignments More...
class | Test::Float::CpltAssignment
| Generate all assignments. More...
class | Test::Float::ExtAssignment
| Generate all assignments except the last variable and complete it to get a solution. More...
class | Test::Float::RandomAssignment
| Generate random selection of assignments. More...
class | Test::Float::TestSpace
| Space for executing tests. More...
class | Test::Float::Test
| Base class for tests with float constraints More...
class | Test::Float::FloatRelTypes
| Iterator for float relation types. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Float
| Testing domain floats.

## Enumerations

enum | Test::Float::MaybeType { Test::Float::MT_FALSE = 0 , Test::Float::MT_TRUE , Test::Float::MT_MAYBE }
| Type for comparisons and solutions. More...
enum | Test::Float::AssignmentType { Test::Float::CPLT_ASSIGNMENT = 0 , Test::Float::RANDOM_ASSIGNMENT , Test::Float::EXTEND_ASSIGNMENT }
| Assignment possible types. More...

## Functions

MaybeType | Test::Float::operator& (MaybeType a, MaybeType b)
| Three-valued conjunction of MaybeType.